- Home
- API Enriched
- Shape
- shape
- Update Script Justification.
Update Script Justification.
POST
/api/shape/csd/namespaces/{namespace}/scripts/{script_id}/justification
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/justification';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"justification":"example","namespace":"example","script_id":"example","user_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/justification \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "justification": "example", "namespace": "example", "script_id": "example", "user_id": "example" }'Update justification for script found.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace.
script_id
required
string
Script_id x-required ID of the script.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateScriptJustificationRequest
Request to update script justification.
object
justification
justification
Script Justification.
string
namespace
namespace
Namespace
string
script_id
script_id
ID of the script.
string
user_id
user_id
ID of the justification creator.
string
Examplegenerated
{ "justification": "example", "namespace": "example", "script_id": "example", "user_id": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
UpdateScriptJustificationResponse
Response to update script justification.
object
justification_id
justification_id
ID of the justification.
string
Examplegenerated
{ "justification_id": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example